CREATE TABLE MMTA_SMTPQUEUE (
	QID int GENERATED BY DEFAULT AS IDENTITY (START WITH 1),
	SPID int NOT NULL,
	MAILADDR_FROM varchar(255),
	DOMAIN_TO varchar(255),
	MAILBOX_TO varchar(255) NOT NULL,  --  local-name part only - combine with DOMAIN_TO to form conceptual MAILADDR_TO
	IPRECV int default 0 NOT NULL,
	RECVTIME bigint NOT NULL,  -- JVM system time in milliseconds
	NEXTSEND bigint,  -- JVM system time in milliseconds - Null means message has been declared a bounce and will not be retried
	STATUS smallint,  -- SMTP status code of last attempt
	RETRYCOUNT smallint default 0 NOT NULL  -- strictly speaking, this is the Try count, not the Retry count
)
_END_

-- this fails for H2 because IDENTITY implies PK, but the error can be harmlessly swallowed
ALTER TABLE MMTA_SMTPQUEUE ADD CONSTRAINT
	PK_MMTA_SMTPQUEUE PRIMARY KEY (QID)
_END_

CREATE UNIQUE INDEX IX_MMTA_SMTPQUEUE_MBXTO  -- this is a unique index
	ON MMTA_SMTPQUEUE (DOMAIN_TO, SPID, MAILBOX_TO)
_END_

CREATE INDEX IX_MMTA_SMTPQUEUE_SPID
	ON MMTA_SMTPQUEUE (SPID)
_END_

CREATE INDEX IX_MMTA_SMTPQUEUE_NEXTSEND
	ON MMTA_SMTPQUEUE (NEXTSEND)
_END_

