#!/bin/sh
cd `dirname $0`/..
NAFCFG=conf/naf.xml
MTAJAR=mailismusmta-1.3.0.jar

osname6=`uname | cut -c1-6 | tr '[:upper:]' '[:lower:]'`
cmd=$1

if [ ! -x "$JAVA_HOME"/bin/java ]
then
	echo The JAVA_HOME environment variable is not set, or does not point at a valid path.
	echo It must point at the root directory of your Java JDK or JRE installation.
	exit 0
fi

case "$cmd" in
	"")
	echo 'Specify "start" to boot the MTA, or else a NAFMAN command and its parameters'
	;;

    start)
	echo "Starting Mailismus MTA ..."
	if [ ! "$osname6" = "cygwin" ]; then ulimit -n 20000; fi
	"$JAVA_HOME"/bin/java -server -jar lib/$MTAJAR -c $NAFCFG >>mta-boot.log 2>&1 &
	;;

    restart)
	$0 stop
	$0 start
	;;


    # USAGE: mta.sh cmd-name [-nocheck] [cmd-args]
    # Eg. mta.sh stop
    *)
	echo "Issuing command=$cmd to Mailismus MTA ..."
	"$JAVA_HOME"/bin/java -jar lib/$MTAJAR -c $NAFCFG -cmd $*
	;;
esac
